
DataONE R Client - Task #1370

Story # 1369 (Closed): Refactor tests in d1_client_r to use RUnit

Refactor tests to use RUnit

2011-02-16 21:27 - Matthew Jones

Status: Closed Start date: 2011-02-16

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: DataONE R Client 1.1.0   

Milestone: None Story Points:  

Description

Using RUnit will help to ensure tests are actually passing by adding in assertion checking support.

See http://cran.r-project.org/web/packages/RUnit/vignettes/RUnit.pdf

History

#1 - 2013-03-01 22:20 - Rob Nahf

- Target version set to DataONE R Client 1.1.0

#2 - 2013-03-07 00:29 - Rob Nahf

- Status changed from New to In Progress

#3 - 2013-03-07 00:29 - Rob Nahf

- Assignee set to Rob Nahf

#4 - 2014-09-10 19:58 - Matthew Jones

- Milestone set to None

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Closing. Using the @testthat@ testing framework instead, which is now in place.
